lms400_cola Class Reference

## Public Member Functions

| lms400_cola (const char *host, int port, int debug_mode)
int | Connect ()
int | Disconnect ()
int | SetAngularResolution (const char *password, float ang_res, float angle_start, float angle_range)
int | SetScanningFrequency (const char *password, float freq, float angle_start, float angle_range)
int | SetResolutionAndFrequency (float freq, float ang_res, float angle_start, float angle_range)
int | StartMeasurement (bool intensity=true)
player_laser_data | ReadMeasurement ()
int | StopMeasurement ()
int | SetUserLevel (int8_t userlevel, const char *password)
int | GetMACAddress (char **macadress)
int | SetIP (char *ip)
int | SetGateway (char *gw)
int | SetNetmask (char *mask)
int | SetPort (uint16_t port)
int | ResetDevice ()
int | TerminateConfiguration ()
int | SendCommand (const char *cmd)
int | ReadResult ()
int | ReadAnswer ()
int | ReadConfirmationAndAnswer ()
int | EnableRIS (int onoff)
player_laser_config | GetConfiguration ()
int | SetMeanFilterParameters (int num_scans)
int | SetRangeFilterParameters (float *ranges)
int | EnableFilters (int filter_mask)
unsigned char * | ParseIP (char *ip)

## Private Member Functions

int | assemblecommand (unsigned char *command, int len)

## Private Attributes

const char * | hostname
int | sockfd
int | portno
int | n
struct sockaddr_in | serv_addr
struct hostent * | server
int | verbose
int | ExtendedRIS
int | MeanFilterNumScans
float | RangeFilterTopLimit
float | RangeFilterBottomLimit
int | FilterMask
player_laser_config | Configuration
unsigned char | buffer [4096]
unsigned int | bufferlength
unsigned char | command [BUF_SIZE]
int | commandlength
std::vector < MeasurementQueueElement_t > * | MeasurementQueue

The documentation for this class was generated from the following files:

- lms400_cola.h
- lms400_cola.cc

Last updated 12 September 2005 21:38:45